=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dpf-plugins-$1\.tar\.gz/,\
  repacksuffix=+ds,\
  dversionmangle=auto \
  https://github.com/DISTRHO/DPF-Plugins/tags .*/v?(\d\S+)\.tar\.gz
